灰暗的星星灰暗的星星灰暗的星星灰暗的星星灰暗的星星
 

Joomla! 开发团队接连快速地释出了 Joomla! 1.5.19 版以及 1.5.20 版。第 1.5.19 版原本应该修补一些安全问题,并加入 Mootools 1.2.4 升级插件。然而由于未知的原因,那些安全修补并没被包含进 1.5.19 版内。于是 Joomla! 团队将它重新发布,并且同时把版本号码提升到 1.5.20。

根据从官方网站上搜集到的资料,第 1.5.20 版没有含入 1.5.19 版之外的新功能或臭虫修正。它是被释出来改正 1.5.19 版包装上的问题。

包含于 1.5.19 版(原定) 和 1.5.20 版(实际)的安全修补为

  • 1 项低度优先 - 核心 - SQL 码插入 / 内部路径显露: 后台用户能造成 MySQL 错误,让内部路径显示于错误讯息中。
  • 3 项中度优先 - 核心 - 后台 XSS 缺失: 后台用户能在多个管理画面插入 Javascript。

另一新增到 1.5.19 的重要项目是 Mootools 1.2.4 升级插件。这在我们先前的一篇文章【在 Joomla! 1.5 中使用 Mootools 1.2】内介绍过。

其它详细资讯请阅读官方对 1.5.19 版与 1.5.20 版的发布消息。

FaLang translation system by Faboba